=== debian/changelog ===
ros-melodic-moveit-ros-perception (1.0.7-1stretch) stretch; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 20 Nov 2020 07:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.6-1stretch) stretch; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [maint] Further increase acceptance threshold for mesh-filter test
  * [maint] Prefer vendor-specific OpenGL library
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.5-1stretch) stretch; urgency=high

  * [maint] Fix mesh_filter test (#2044 <https://github.com/ros-planning/moveit/issues/2044>)
  * Contributors: Bjar Ne

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 30 May 2020 06:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.3-1stretch) stretch; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Allow subclassing of point_containment_filter::ShapeMask. (#1457 <https://github.com/ros-planning/moveit/issues/1457>)
  * [fix]   depth_image_octomap_updater: reset depth transfer function to standard values (#1661 <https://github.com/ros-planning/moveit/issues/1661>)
  * [fix]   depth_image_octomap_updater: correctly set properties of debug images (#1652 <https://github.com/ros-planning/moveit/issues/1652>)
  * [maint] Move occupancy_map_monitor into its own package (#1533 <https://github.com/ros-planning/moveit/issues/1533>)
  * Contributors: Martin Pecka, Matthias Nieuwenhuisen, Robert Haschke, Sean Yen, Yu, Yan, jschleicher

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.2-1stretch) stretch; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)
  * Contributors: Mahmoud Ahmed Selim

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.1-1stretch) stretch; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Mar 2019 07:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.0-1stretch) stretch; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Feb 2019 07:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.8-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 24 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.7-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 13 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.6-1stretch) stretch; urgency=high

  * [maintenance] Use createUniqueInstance() (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
  * [maintenance] Enforce OpenMP support for perception (#1234 <https://github.com/ros-planning/moveit/issues/1234>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * Contributors: Alex Moriarty, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 09 Dec 2018 07:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.5-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 01 Nov 2018 06:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.4-1stretch) stretch; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.3-1stretch) stretch; urgency=high

  * [fix] compiler warnings (#1089 <https://github.com/ros-planning/moveit/issues/1089>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 29 Oct 2018 06:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.2-1stretch) stretch; urgency=high

  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix] DepthImageOctomapUpdater not found error (#954 <https://github.com/ros-planning/moveit/issues/954>)
  * [fix] planning scene lock when octomap updates too quickly (#920 <https://github.com/ros-planning/moveit/issues/920>)
  * [enhancement] error message in shape_mask (#828 <https://github.com/ros-planning/moveit/issues/828>)
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * [maintenance] disable unittests for moveit_ros_perception ... due to broken Mesa OpenGL (since version 17.x?) (#982 <https://github.com/ros-planning/moveit/issues/982>)

