## ros-melodic-moveit-ros-perception 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -49,11 +49,27 @@
   sensor_msgs
   moveit_msgs
   moveit_ros_occupancy_map_monitor
+  moveit_ros_planning
+  nodelet
 )
 
 find_package(Eigen3 REQUIRED)
 find_package(OpenMP REQUIRED)
 find_package(OpenCV)
+
+set(PACKAGE_LIBRARIES
+  moveit_lazy_free_space_updater
+  moveit_point_containment_filter
+  moveit_pointcloud_octomap_updater_core
+  moveit_semantic_world
+)
+
+if (WITH_OPENGL)
+  list(APPEND PACKAGE_LIBRARIES
+          moveit_mesh_filter
+          moveit_depth_self_filter
+          moveit_depth_image_octomap_updater)
+endif(WITH_OPENGL)
 
 catkin_package(
   INCLUDE_DIRS
@@ -63,15 +79,14 @@
     semantic_world/include
     ${perception_GL_INCLUDE_DIRS}
   LIBRARIES
-    moveit_lazy_free_space_updater
-    moveit_point_containment_filter
-    moveit_pointcloud_octomap_updater_core
-    moveit_semantic_world
+    ${PACKAGE_LIBRARIES}
   CATKIN_DEPENDS
     image_transport
     moveit_core
     moveit_msgs
     moveit_ros_occupancy_map_monitor
+    moveit_ros_planning
+    nodelet
     object_recognition_msgs
     roscpp
     sensor_msgs
@@ -109,5 +124,6 @@
   FILES
     pointcloud_octomap_updater_plugin_description.xml
     depth_image_octomap_updater_plugin_description.xml
+    moveit_depth_self_filter.xml
   DESTINATION
     ${CATKIN_PACKAGE_SHARE_DESTINATION})
