=== debian/changelog ===
ros-melodic-moveit-ros-perception (1.0.11-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.10-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.9-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.8-1bionic) bionic; urgency=high

  * Document solution in ROS_ERROR on failed self-filtering (#2627 <https://github.com/ros-planning/moveit/issues/2627>)
  * Fixed flood of errors on startup for mesh_filter (#2550 <https://github.com/ros-planning/moveit/issues/2550>)
  * Enable mesh filter (#2448 <https://github.com/ros-planning/moveit/issues/2448>)
  * Contributors: Jafar Abdi, John Stechschulte, Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.7-1bionic) bionic; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.6-1bionic) bionic; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [maint] Further increase acceptance threshold for mesh-filter test
  * [maint] Prefer vendor-specific OpenGL library
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.5-1bionic) bionic; urgency=high

  * [maint] Fix mesh_filter test (#2044 <https://github.com/ros-planning/moveit/issues/2044>)
  * Contributors: Bjar Ne

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 May 2020 22:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.3-1bionic) bionic; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Allow subclassing of point_containment_filter::ShapeMask. (#1457 <https://github.com/ros-planning/moveit/issues/1457>)
  * [fix]   depth_image_octomap_updater: reset depth transfer function to standard values (#1661 <https://github.com/ros-planning/moveit/issues/1661>)
  * [fix]   depth_image_octomap_updater: correctly set properties of debug images (#1652 <https://github.com/ros-planning/moveit/issues/1652>)
  * [maint] Move occupancy_map_monitor into its own package (#1533 <https://github.com/ros-planning/moveit/issues/1533>)
  * Contributors: Martin Pecka, Matthias Nieuwenhuisen, Robert Haschke, Sean Yen, Yu, Yan, jschleicher

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.2-1bionic) bionic; urgency=high

  * [maintenance] Removed unnecessary null pointer checks on deletion (#1410 <https://github.com/ros-planning/moveit/issues/1410>)
  * Contributors: Mahmoud Ahmed Selim

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.1-1bionic) bionic; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-melodic-moveit-ros-perception (1.0.0-1bionic) bionic; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.8-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.7-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.6-1bionic) bionic; urgency=high

  * [maintenance] Use createUniqueInstance() (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
  * [maintenance] Enforce OpenMP support for perception (#1234 <https://github.com/ros-planning/moveit/issues/1234>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * Contributors: Alex Moriarty, Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.5-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 31 Oct 2018 23:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.4-1bionic) bionic; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-melodic-moveit-ros-perception (0.10.3-1bionic) bionic; urgency=high


